#7 Not able to reach an external drive

v1.0_(example)
closed-fixed
nobody
None
5
2016-09-05
2013-03-31
Chrischi
No

Hi everybody!

I am trying to use Gprenamer on Ubuntu 12.10 64bit. I want to rename some folders on an external harddrive but gprenamer semms not to be able to open /media/<user>/

So I cant reach the folders I want to rename.
Greetings

Related

Bugs: #7

Discussion

  • joebug

    joebug - 2013-04-04

    Hi
    Great program. I have used it successfully for years on a 64bit debian Sid.
    But I'm having the same issue as Chrischi with a 64 bit Mint/Nadia laptop.
    I suspect the reason is that /home is encrypted on the laptop.
    Nothing in /media is browsable in GPRename.
    Workaround: create a simlink to /media/$USER/"your_media" in your home folder. GPRename can access files from there.
    JBg

     
    Last edit: joebug 2013-04-04
  • Zurd

    Zurd - 2013-04-05

    I'm the friggin admin of gprename and yet sometimes I never receive new bug report, sigh...

    As for the problem, I'm not sure it relates to GPRename. Try accessing it in console, type it ls /media//
    it probably will not work because 2 slashes one after the other is not a valid path. I have Linux Mint 64 bit and I can use GPrename just fine on my external hard drives or USB key or smartphone and so on.

     
    • joebug

      joebug - 2013-04-05

      Hi Zurd, Hi Chrisci.
      I hinted it could be related to an encrypted /home partition.
      Is this the case with your systems?
      I can easily access /media/$USER/my_usb_drive via the console - that's how I created a simlink and found the workaround.
      Thanks,
      JBg

       
  • Chrischi

    Chrischi - 2013-04-05

    Hi again!

    Thanks for the reply.
    My Home is not enrypted ( "mount | grep ecryptfs" gives nothing). the 2 / was a mistake in my post ;)
    Starting gprename in a terminal gives also no response.

    greetings!

     
    Last edit: Chrischi 2013-04-05
  • Zurd

    Zurd - 2013-04-05

    Try in a terminal ls /media/
    what does it give? It's possible that /media is protected but that you have access to /media/your_username

     
  • joebug

    joebug - 2013-04-06

    SOLVED - Wrong permissions on /media/username
    This seems to be the reason on my brand new Mint/Nadia.
    I was trying to make a "workaround" folder :
    ~$ ln -s /media/username/ ~/media
    GPRename could not access this folder :)
    So I did a :
    ~$ sudo chown username:group ./media/
    GPRename can now not only access ~/media/ but also /media/username/
    I suppose "/media/username" was setup with wrong permissions.
    As I said, my Mint/Nadia is just a week old : I haven't much played around with it yet. So this is probablys still a default setup.
    Thanks -
    Reading messages here contributed to my trying to understand and thus ...
    Keep up the great work
    JBg

     
    Last edit: joebug 2013-04-06
  • Zurd

    Zurd - 2013-04-07

    Glad you sorted the issue, cheers

     
  • Zurd

    Zurd - 2013-04-07
    • status: open --> closed-fixed
    • milestone: --> v1.0_(example)
     
  • undrline

    undrline - 2016-05-18

    I have this issue as well. I'm not quite following what the solution was. It looks like they changed the owner and group ... but I can't tell what they changed it to? By default (Xubuntu Trusty), /media is root:root. Still, if it's read/write, shouldn't gprename be able to read/write?

     
  • Zurd

    Zurd - 2016-05-18

    what does these 2 commands do (replace YOUR_USER with the name of your user):

    ls -lh /media

    ls -lh /media/YOUR_USER

     
    • undrline

      undrline - 2016-05-18

      Thank you for helping. Here's the output:

      hobo@hobo:~$ ls -lh /media
      total 12K
      drwxr-x---  2 root root 4.0K Jun 17  2013 apt
      lrwxrwxrwx  1 root root    7 Jun 16  2013 floppy -> floppy0
      drwxr-xr-x  2 root root 4.0K Jun 16  2013 floppy0
      drwxr-x---+ 3 root root 4.0K May 18 19:07 hobo
      hobo@hobo:~$ ls -lh /media/hobo
      total 16K
      drwx------ 7 hobo hobo 16K Dec 31  1969 6DEB-EF3F
      

      Opening gprename with gksu works fine, but I'd rather not do that for various reasons.

       
      Last edit: undrline 2016-05-18
  • Zurd

    Zurd - 2016-05-18

    drwxr-x---+ 3 root root 4.0K May 18 19:07 hobo

    Here's the problem. Only root can write to it. Should be the same permissions as floppy

    do:
    sudo chmod 777 /media/hobo
    (it will ask for your root password on the screen)

    Then you'll be able to use gprename!

     
  • Zurd

    Zurd - 2016-05-19

    I figured there had to be a reason why /media/user is root:root but never search for it. Like they said it's probably better if you don't touch it, but it's a solution.

    It makes sense in that thread that it should work anyway because /media/hobo/6DEB-EF3F is rwx for your user hobo. I do hope you are using the user hobo else it's normal why it's not working.

    What does it say when you do gprename /media/hobo/6DEB-EF3F ? No one posted the actual response. Is it encrypted?

     
    • undrline

      undrline - 2016-05-23

      What does it say when you do gprename /media/hobo/6DEB-EF3F ? No one posted the actual response. Is it encrypted?

      I think because people are using the gui directly. It simply lets you navigate to /media and only shows the floppy directories in the navigation pane. In the Directories tab, it will show the user directory.

      If you run gprename /media/hobo/6DEB-EF3F from terminal, the gui pops up then disappears, and you do get an error:

      variable not allowed to be undef where GtkTreeIter is wanted at /usr/bin/gprename line 1532.
      

      I do hope you are using the user hobo else it's normal why it's not working.

      Yes. I am :)

       
      Last edit: undrline 2016-05-23
  • Zurd

    Zurd - 2016-09-05

    Problem fixed in the latest release which is 20160905!

     
    • undrline

      undrline - 2016-09-08

      Thanks for the update!

      On Mon, Sep 5, 2016 at 6:28 PM, Zurd zurd@users.sf.net wrote:

      Problem fixed in the latest release which is 20160905!

      Status: closed-fixed
      Group: v1.0_(example)
      Created: Sun Mar 31, 2013 07:03 AM UTC by Chrischi
      Last Updated: Thu May 19, 2016 10:00 PM UTC
      Owner: nobody

      Hi everybody!

      I am trying to use Gprenamer on Ubuntu 12.10 64bit. I want to rename some
      folders on an external harddrive but gprenamer semms not to be able to open
      /media/<user>/

      So I cant reach the folders I want to rename.
      Greetings


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/gprename/bugs/7/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #7


Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks